.hero-container {
  width: 100%;
  height: auto;
  margin: 180px 0 260px;
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-areas: "hero-heading hero-image";
  place-items: center;

  .hero-image {
    grid-area: hero-image;
    width: 100%;
    height: 100%;
    display: grid;
    place-content: center;

    img {
      width: 500px;
      filter: drop-shadow(0px 10px 11px #000000);
    }
  }

  .hero-heading {
    grid-area: hero-heading;
    width: 100%;
    height: 100%;
    display: grid;
    place-content: center;

    h1 {
      font-size: 4rem;
      margin-bottom: 3rem;
    }

    p {
      font-size: 1.6rem;
      margin-bottom: 3rem;
    }

    .hero-buttons {
      display: flex;
      align-items: center;

      .see-all {
        margin-left: 48px;
        font-weight: 600;
        color: #dfdfd6;
        text-decoration: underline;
        transition: 0.2s;
      }

      .see-all:hover {
        color: #646cff;
      }
    }
  }
}

@media (max-width: 992px) {
  .hero-container {
    margin: 180px 0 160px;
    grid-template-columns: 1fr;
    grid-template-areas: "hero-image" "hero-heading";

    .hero-image {
      margin-bottom: 80px;

      img {
        width: 400px;
      }
    }
  }
}

@media (max-width: 768px) {
  .hero-container {
    margin: 140px 0 160px;

    .hero-image {
      margin-bottom: 60px;

      img {
        width: 300px;
      }
    }

    .hero-heading {
      height: 60%;

      .hero-buttons {
        display: block;
        text-align: center;

        .button-container {
          margin-bottom: 32px;
        }

        .see-all {
          margin-left: 0;
        }
      }
    }
  }
}
